Bug 80200 - LOCALHELP: Missing icons in LibreOffice 4.3.0.1rc1 Help
Summary: LOCALHELP: Missing icons in LibreOffice 4.3.0.1rc1 Help
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:4.4.0 target:4.3.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-18 19:32 UTC by Martin Srebotnjak
Modified: 2014-06-23 09:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Slovenian "Contents - The Main Help Topics" help page (167.10 KB, image/png)
2014-06-18 19:33 UTC, Martin Srebotnjak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2014-06-18 19:32:08 UTC
I notice several icons missing when opening local Help (installed help pack) on OS X for Slovenian (using 4.3.0.1rc1 with 64-bit OS X build on OS X 10.9.3).

Please test/confirm for other languages & operating systems.
Comment 1 Martin Srebotnjak 2014-06-18 19:33:46 UTC
Created attachment 101319 [details]
Slovenian "Contents - The Main Help Topics" help page

Slovenian "Contents - The Main Help Topics" help page as displayed with two of three icons missing.
Comment 2 Martin Srebotnjak 2014-06-22 09:16:32 UTC
Please see also this older bug report, seems the same problem:
https://bugs.freedesktop.org/show_bug.cgi?id=79733
Comment 3 Nino 2014-06-22 11:43:54 UTC
confirming on Linux rpm x64 and
 - en_US helppack
 - German helppack

Steps:

1. install local help pack
2. open libo, press Help (or F1)
3. inside help, press again F1. This opens "Contents - The Main Help Topics"

Several figures are missing, dummy is displayed instead.

4. Click on the first of the Related Topics "The LibreOffice Help Window"

Again several figures are missing.
Comment 4 Commit Notification 2014-06-22 15:29:27 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=e4208653997a7390b5129207a11e9fa6d4a8c070

fdo#80200 use icons that are actually packed



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-06-23 09:02:47 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=49a0b078b1617755d60f90e9b5841afdc4c763c7&h=libreoffice-4-3

fdo#80200 use icons that are actually packed


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.